Bug Hunting Session
Bug 93884 - odd text rendering artifacts in slideshow
Summary: odd text rendering artifacts in slideshow
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.1.0 target:5.0.2
Keywords:
Depends on:
Blocks: VCL-OpenGL
  Show dependency treegraph
 
Reported: 2015-09-03 09:53 UTC by Michael Meeks
Modified: 2016-10-25 19:19 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
odd font issues hit F9 to see ... (1.47 MB, application/vnd.oasis.opendocument.presentation)
2015-09-03 09:54 UTC, Michael Meeks
Details
photographic proof (142.06 KB, image/png)
2015-09-03 09:55 UTC, Michael Meeks
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2015-09-03 09:53:18 UTC
With the attached presentation I get some presenting oddness.
Comment 1 Michael Meeks 2015-09-03 09:53:35 UTC
text related =)
Comment 2 Michael Meeks 2015-09-03 09:54:12 UTC
Created attachment 118387 [details]
odd font issues hit F9 to see ...
Comment 3 Michael Meeks 2015-09-03 09:55:46 UTC
Created attachment 118388 [details]
photographic proof
Comment 4 Michael Meeks 2015-09-04 11:13:06 UTC
Tor points out that this is adjacent glyphs eg. some pixels of the tail of the 'j' appearing next to an 'i' as we pre-render many glyphs around each glyph that is rendered.
Comment 5 Commit Notification 2015-09-07 07:51:12 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=840248a4c7faa3d1a96155b2d798ae44249b78bd

tdf#93884 windows opengl: make space around cached glyphs depend on font size

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-09-07 18:50:35 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6f3c2bdbab845986faadbc852376a3ae692e593e&h=libreoffice-5-0

tdf#93884 windows opengl: make space around cached glyphs depend on font size

It will be available in 5.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-09-09 14:13:59 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-0-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=11100e4c61c1c233025bfe96b8b69d161ef750f3&h=libreoffice-5-0-2

tdf#93884 windows opengl: make space around cached glyphs depend on font size

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.